﻿using Syncfusion.Windows.Forms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ComboBoxBaseGrid
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            this.radioButtonAdv2.Checked = true;
            //To assign the drop dropdown control
            this.comboDropDown1.PopupControl = this.colorUIControl1;
            //To specify the dropdown width
            this.comboDropDown1.DropDownWidth = this.comboDropDown1.Width;
            this.comboDropDown1.Style = VisualStyle.Metro;
        }

        private void colorUIControl1_ColorSelected(object sender, EventArgs e)
        {
            //To specify the backcolor of the ComboDropDown
            this.comboDropDown1.BackColor = this.colorUIControl1.SelectedColor;
            //To set the backcolor of the text box used inside the ComboDropDown
            this.comboDropDown1.TextBox.BackColor = this.colorUIControl1.SelectedColor;
            //To specify whether the backcolor needs to be applied.
            this.comboDropDown1.UseBackColor = true;
            colorUIControl1.BackColor = Color.White;
            this.comboDropDown1.PopupContainer.HidePopup(PopupCloseType.Done);
            this.comboDropDown1.TextBox.SelectionStart = this.comboDropDown1.TextBox.TextLength;
            this.comboDropDown1.TextBox.SelectionLength = this.comboDropDown1.TextBox.TextLength;
        }

        private void radioButtonAdv9_CheckChanged(object sender, EventArgs e)
        {
            if (this.radioButtonAdv1.Checked)
                this.comboDropDown1.Style = VisualStyle.Default;
            else if (this.radioButtonAdv2.Checked)
                this.comboDropDown1.Style = VisualStyle.Metro;
            else if (this.radioButtonAdv3.Checked)
                this.comboDropDown1.Style = VisualStyle.Office2003;
            else if (this.radioButtonAdv4.Checked)
                this.comboDropDown1.Style = VisualStyle.OfficeXP;
            else if (this.radioButtonAdv5.Checked)
                this.comboDropDown1.Style = VisualStyle.Office2007;
            else if (this.radioButtonAdv6.Checked)
                this.comboDropDown1.Style = VisualStyle.Office2007Outlook;
            else if (this.radioButtonAdv7.Checked)
                this.comboDropDown1.Style = VisualStyle.Office2010;
            else if (this.radioButtonAdv8.Checked)
                this.comboDropDown1.Style = VisualStyle.VS2005;
            else if (this.radioButtonAdv9.Checked)
                this.comboDropDown1.Style = VisualStyle.VS2010;
        }
    }
}
